NewStart CGSL CORE 5.05 / MAIN 5.05 : libexif 多个漏洞 (NS-SA-2021-0158)

high Nessus 插件 ID 154542

语言:

简介

远程 NewStart CGSL 主机受到多个漏洞影响。

描述

运行 CORE 5.05 / MAIN 5.05 版本的远程 NewStart CGSL 主机上安装的 libexif 程序包受到多个漏洞的影响:

- libexif 中可能存在越界写入,这是整数溢出所致。这可能会导致媒体内容提供程序中的远程权限提升,且无需其他执行权限。需要用户交互才可利用此漏洞。产品:Android 版本:Android-10。Android ID:A-112537774 (CVE-2019-9278)

- exif-data.c 的 exif_data_save_data_entry 中可能存在越界读取,这是缺少边界检查所致。这可能导致本地信息泄露,且无需其他执行权限。需要用户交互才可利用此漏洞。产品:Android 版本:Android-8.0 Android-8.1 Android-9 Android-10Android ID:A-148705132 (CVE-2020-0093)

- exif-entry.c 的 exif_entry_get_value 中可能存在越界读取,这是缺少边界检查所致。这可能导致本地信息泄露,且无需其他执行权限。
无需用户交互即可利用漏洞。产品:Android 版本:Android-10。Android ID:
A-147140917 (CVE-2020-0182)

- libexif 0.6.21 的 exif-entry.c 的 exif_entry_get_value 中存在除零错误。(CVE-2020-12767)

- 在 libexif 0.6.22 之前的版本中发现问题。在 EXIF Makernote 处理中使用未初始化内存可导致崩溃和释放后使用情况。(CVE-2020-13113)

- 在 libexif 0.6.22 之前的版本中发现问题。处理 Canon EXIF MakerNote 数据时,若不限制数据大小,则可导致解码 EXIF 数据时消耗大量计算时间。(CVE-2020-13114)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级易受攻击的 CGSL libexif 程序包。请注意,更新后的程序包尚未发布。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2021-0158

http://security.gd-linux.com/info/CVE-2019-9278

http://security.gd-linux.com/info/CVE-2020-0093

http://security.gd-linux.com/info/CVE-2020-0182

http://security.gd-linux.com/info/CVE-2020-12767

http://security.gd-linux.com/info/CVE-2020-13113

http://security.gd-linux.com/info/CVE-2020-13114

插件详情

严重性: High

ID: 154542

文件名: newstart_cgsl_NS-SA-2021-0158_libexif.nasl

版本: 1.2

类型: local

发布时间: 2021/10/27

最近更新时间: 2021/10/27

风险信息

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2019-9278

CVSS v3

风险因素: High

基本分数: 8.8

时间分数: 7.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:zte:cgsl_core:libexif, p-cpe:/a:zte:cgsl_core:libexif-devel, p-cpe:/a:zte:cgsl_core:libexif-doc, p-cpe:/a:zte:cgsl_main:libexif, p-cpe:/a:zte:cgsl_main:libexif-devel, p-cpe:/a:zte:cgsl_main:libexif-doc, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2021/9/24

漏洞发布日期: 2019/9/27

参考资料信息

CVE: CVE-2019-9278, CVE-2020-0093, CVE-2020-0182, CVE-2020-12767, CVE-2020-13113, CVE-2020-13114